<?php
namespace Mirasvit\LayeredNavigation\Repository\GroupRepository;

/**
 * Interceptor class for @see \Mirasvit\LayeredNavigation\Repository\GroupRepository
 */
class Interceptor extends \Mirasvit\LayeredNavigation\Repository\GroupRepository implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\LayeredNavigation\Api\Data\GroupInterfaceFactory $factory, \Mirasvit\LayeredNavigation\Model\ResourceModel\Group\CollectionFactory $collectionFactory, \Magento\Framework\EntityManager\EntityManager $entityManager)
    {
        $this->___init();
        parent::__construct($factory, $collectionFactory, $entityManager);
    }

    /**
     * {@inheritdoc}
     */
    public function save(\Mirasvit\LayeredNavigation\Api\Data\GroupInterface $model) : \Mirasvit\LayeredNavigation\Api\Data\GroupInterface
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'save');
        return $pluginInfo ? $this->___callPlugins('save', func_get_args(), $pluginInfo) : parent::save($model);
    }
}
